//---------------------------------------------------------------------------

#ifndef ShowUserInfoPanelH
#define ShowUserInfoPanelH

#include <vcl.h>
#include <Vcl.AppEvnts.hpp>
#include <Vcl.Imaging.pngimage.hpp>
#include "TextButton.h"
//---------------------------------------------------------------------------
class TShowUserInfo : public TWinControl
{
private:
	String FUserName;

//	int FBalance,
//        FPops,
//        FFans,
//		FSongs,
//		FZones;

    TList *m_ImageList,
          *m_ValueList;

	TImage *m_UserIcon;
//	void __fastcall UserIconClick(TObject *Sender);
	TImage *m_imgVip;
//	void __fastcall VIPClick(TObject *Sender);

    TTextButton *m_LogoutBtn;
//                *m_ZoneBtn;

	HWND m_bakActiveWnd;

    int m_ModalResult;

    bool m_IsActive;

    TApplicationEvents *ApplicationEvents;

//    void __fastcall DoButtonClick(TObject *Sender);
    void __fastcall DoHandleMessage(MSG &Msg, bool &Handled);
    void __fastcall DoLabelMouseEnter(TObject *Sender);
    void __fastcall DoLabelMouseLeave(TObject *Sender);
    void __fastcall DoObjectClick(TObject *Sender);

    void __fastcall SetUserName(String Value);
//    void __fastcall SetBalance(int Value);
//    void __fastcall SetPops(int Value);
//    void __fastcall SetFans(int Value);
//	void __fastcall SetSongs(int Value);
//	void __fastcall SetZones(int Value);

    MESSAGE void __fastcall WMEraseBkgnd(TWMEraseBkgnd &Message);
    MESSAGE void __fastcall WMKillFocus(TMessage &Message);
    MESSAGE void __fastcall WMPaint(TWMPaint &Message);

    BEGIN_MESSAGE_MAP
        MESSAGE_HANDLER(WM_ERASEBKGND, TWMEraseBkgnd, WMEraseBkgnd)
        MESSAGE_HANDLER(WM_KILLFOCUS, TMessage, WMKillFocus)
        MESSAGE_HANDLER(WM_PAINT, TWMPaint, WMPaint)
	END_MESSAGE_MAP(TWinControl)

protected:
	virtual void __fastcall CreateParams(TCreateParams &Params);
	virtual void __fastcall CreateWnd();

public:
	__fastcall TShowUserInfo(TComponent *Owner);
    __fastcall ~TShowUserInfo();

    int __fastcall ShowModal();

__published:
	__property String UserName = {read = FUserName, write = SetUserName};
//	__property int Balance = {read = FBalance, write = SetBalance};
//    __property int Pops = {read = FPops, write = SetPops};
//    __property int Fans = {read = FFans, write = SetFans};
//	__property int Songs = {read = FSongs, write = SetSongs};
//	__property int Zones = {read = FZones, write = SetZones};
};
//---------------------------------------------------------------------------
#endif
//---------------------------------------------------------------------------
